@echo off
setlocal

if "%~1" == "?" goto help
if "%~1" == "-?" goto help
if "%~1" == "/?" goto help
if "%~1" == "" goto help
if "%~2" == "" goto help
set WORKDIR=%~d0%~p0
set WASROOT="%~f1"
set UPDI="%~f2"
set FAILED=no

IF NOT EXIST %WASROOT% goto neWASROOT
IF NOT EXIST %UPDI% goto neUPDI
goto doit

:help
echo Usage: %0 WAS_ROOT UPDI_DIR
echo    where :
echo      WAS_ROOT = Root directory of the WAS install.
echo      UPDI_DIR = Directory where the update installer was installed
echo                 (the default location is C:\Program Files\IBM\WebSphere\Update Installer)
goto eof

:doit

REM Use our special copy of update.bat with "Start" removed so we can determine success or failure.
IF EXIST %UPDI%\upd2.bat goto first1
echo Setup for IFix installation.
copy %WORKDIR%\batch\upd2.bat %UPDI%\upd2.bat

:first1   
echo Applying 6.1.0.3-WS-WAS-IFPK40456.pak
call %UPDI%\upd2.bat -silent -W maintenance.package="%WORKDIR%\ifixes\6.1.0.3-WS-WAS-IFPK40456.pak" -W product.location=%WASROOT% > logs\IFPK40456.txt 2>&1
find "INSTCONFSUCCESS" %WASROOT%\logs\update\6.1.0.3-WS-WAS-IFPK40456.install\updatelog.txt
IF %ERRORLEVEL% equ 0 goto next1
set FAILED=yes
echo failed.
echo    see %WASROOT%\logs\update\6.1.0.3-WS-WAS-IFPK40456.install\updatelog.txt for details.

:next1
echo Applying 6.1.0.5-WS-WAS-IFPK41100.pak
call %UPDI%\upd2.bat -silent -W maintenance.package="%WORKDIR%\ifixes\6.1.0.5-WS-WAS-IFPK41100.pak" -W product.location=%WASROOT% > logs\IFPK41100.txt 2>&1
find "INSTCONFSUCCESS" %WASROOT%\logs\update\6.1.0.5-WS-WAS-IFPK41100.install\updatelog.txt
IF %ERRORLEVEL% equ 0 goto next2
set FAILED=yes
echo failed.
echo    see %WASROOT%\logs\update\6.1.0.5-WS-WAS-IFPK41100.install\updatelog.txt for details.

:next2
echo Applying 6.1.0.7-WS-WAS-IFPK37608.pak
call %UPDI%\upd2.bat -silent -W maintenance.package="%WORKDIR%\ifixes\6.1.0.7-WS-WAS-IFPK37608.pak" -W product.location=%WASROOT% > logs\IFPK37608.txt 2>&1
find "INSTCONFSUCCESS" %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK37608.install\updatelog.txt
IF %ERRORLEVEL% equ 0 goto next3
set FAILED=yes
echo failed.
echo    see %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK37608.install\updatelog.txt for details.

:next3
echo Applying 6.1.0.7-WS-WAS-IFPK40296.pak
call %UPDI%\upd2.bat -silent -W maintenance.package="%WORKDIR%\ifixes\6.1.0.7-WS-WAS-IFPK40296.pak" -W product.location=%WASROOT% > logs\IFPK40296.txt 2>&1
find "INSTCONFSUCCESS" %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK40296.install\updatelog.txt
IF %ERRORLEVEL% equ 0 goto next4
set FAILED=yes
echo failed.
echo    see %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK40296.install\updatelog.txt for details.

:next4
echo Applying 6.1.0.7-WS-WAS-IFPK40912.pak
call %UPDI%\upd2.bat -silent -W maintenance.package="%WORKDIR%\ifixes\6.1.0.7-WS-WAS-IFPK40912.pak" -W product.location=%WASROOT% > logs\IFPK40912.txt 2>&1
find "INSTCONFSUCCESS" %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK40912.install\updatelog.txt
IF %ERRORLEVEL% equ 0 goto next5
set FAILED=yes
echo failed.
echo    see %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK40912.install\updatelog.txt for details.

:next5
echo Applying 6.1.0.7-WS-WAS-IFPK41097.pak
call %UPDI%\upd2.bat -silent -W maintenance.package="%WORKDIR%\ifixes\6.1.0.7-WS-WAS-IFPK41097.pak" -W product.location=%WASROOT% > logs\IFPK41097.txt 2>&1
find "INSTCONFSUCCESS" %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK41097.install\updatelog.txt
IF %ERRORLEVEL% equ 0 goto next6
set FAILED=yes
echo failed.
echo    see %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK41097.install\updatelog.txt for details.

:next6
echo Applying 6.1.0.7-WS-WAS-IFPK41351.pak
call %UPDI%\upd2.bat -silent -W maintenance.package="%WORKDIR%\ifixes\6.1.0.7-WS-WAS-IFPK41351.pak" -W product.location=%WASROOT% > logs\IFPK41351.txt 2>&1
find "INSTCONFSUCCESS" %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK41351.install\updatelog.txt
IF %ERRORLEVEL% equ 0 goto next7
set FAILED=yes
echo failed.
echo    see %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK41351.install\updatelog.txt for details.

:next7
echo Applying 6.1.0.7-WS-WAS-IFPK41694.pak
call %UPDI%\upd2.bat -silent -W maintenance.package="%WORKDIR%\ifixes\6.1.0.7-WS-WAS-IFPK41694.pak" -W product.location=%WASROOT% > logs\IFPK41694.txt 2>&1
find "INSTCONFSUCCESS" %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK41694.install\updatelog.txt
IF %ERRORLEVEL% equ 0 goto next8
set FAILED=yes
echo failed.
echo    see %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK41694.install\updatelog.txt for details.

:next8
echo Applying 6.1.0.7-WS-WAS-IFPK41746.pak
call %UPDI%\upd2.bat -silent -W maintenance.package="%WORKDIR%\ifixes\6.1.0.7-WS-WAS-IFPK41746.pak" -W product.location=%WASROOT% > logs\IFPK41746.txt 2>&1
find "INSTCONFSUCCESS" %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK41746.install\updatelog.txt
IF %ERRORLEVEL% equ 0 goto next9
set FAILED=yes
echo failed.
echo    see %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK41746.install\updatelog.txt for details.
      
:next9
echo Applying 6.1.0.7-WS-WAS-IFPK41934.pak
call %UPDI%\upd2.bat -silent -W maintenance.package="%WORKDIR%\ifixes\6.1.0.7-WS-WAS-IFPK41934.pak" -W product.location=%WASROOT% > logs\IFPK41934.txt 2>&1
find "INSTCONFSUCCESS" %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK41934.install\updatelog.txt
IF %ERRORLEVEL% equ 0 goto next10
set FAILED=yes
echo failed.
echo    see %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK41934.install\updatelog.txt for details.

:next10
echo Applying 6.1.0.7-WS-WAS-IFPK43082.pak
call %UPDI%\upd2.bat -silent -W maintenance.package="%WORKDIR%\ifixes\6.1.0.7-WS-WAS-IFPK43082.pak" -W product.location=%WASROOT% > logs\IFPK43082.txt 2>&1
find "INSTCONFSUCCESS" %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK43082.install\updatelog.txt
IF %ERRORLEVEL% equ 0 goto cleanup
set FAILED=yes
echo failed.
echo    see %WASROOT%\logs\update\6.1.0.7-WS-WAS-IFPK43082.install\updatelog.txt for details.

:cleanup
REM remove our special copy of update.bat with "Start" removed so we can determine success or failure.
IF NOT EXIST %UPDI%\upd2.bat goto :finalStatus
echo Clean up IFix installation.
erase %UPDI%\upd2.bat

:finalStatus                    
IF %FAILED% == yes echo Some installs did not complete successfully.

goto eof    
          
:neWASROOT
echo WAS_ROOT %WASROOT% does not exist.
goto help


:neUPDI
echo UPDI_DIR %UPDI% does not exist.
goto help

goto eof

:eof
